package com.example.museum2;

import android.os.Bundle;

import androidx.appcompat.app.AppCompatActivity;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;

import java.util.ArrayList;
import java.util.List;

public class Souvenir extends AppCompatActivity {


    List<Model> modelList;
    RecyclerView recyclerView;
    OrderAdapter2 mAdapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_souvenir);


        // creating an arraylist

        modelList = new ArrayList<>();

        modelList.add(new Model("Shirt", getString(R.string.shirt), R.drawable.shirt ));
        modelList.add(new Model("Hat", getString(R.string.hat), R.drawable.hat));
        modelList.add(new Model("Snow globe", getString(R.string.snow_globe), R.drawable.snow_globe));
        modelList.add(new Model("Key chain", getString(R.string.key_chain), R.drawable.key_chain));
        modelList.add(new Model("Bottle", getString(R.string.bottle), R.drawable.bottle));
        modelList.add(new Model("Mug", getString(R.string.mug), R.drawable.mug));
        modelList.add(new Model("Coaster", getString(R.string.coaster), R.drawable.coaster));


        // recyclerview
        recyclerView = findViewById(R.id.recyclerView);
        recyclerView.setLayoutManager(new LinearLayoutManager(null));
        // adapter
        mAdapter = new OrderAdapter2(this, modelList);
        recyclerView.setAdapter(mAdapter);




    }
}