package com.example.museum2;

import java.util.ArrayList;

public class Singleton {

    private static Singleton mInstance;
    private ArrayList<Integer> list = null;


    public static Singleton getInstance() {
        if(mInstance == null)
            mInstance = new Singleton();

        return mInstance;
    }

    private Singleton() {
        list = new ArrayList<Integer>();
    }
    // retrieve array from anywhere
    public ArrayList<Integer> getArray() {
        return this.list;
    }
    //Add element to array
    public void addToArray(int value) {
        list.add(value);
    }

    public int sum() {
        int sum = 0;

        for (int i : list)
            sum = sum + i;

        return sum;
    }

    public void delete() {

        list.clear();
    }

}
